"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const await_to_js_1 = require("await-to-js");
const node_fetch_1 = require("node-fetch");
const idin_protocol_1 = require("./idin-protocol");
function fetchResponse({ payload, routingCert, routingEndpoint }) {
    return __awaiter(this, void 0, void 0, function* () {
        const config = {
            method: 'POST',
            body: payload,
        };
        const [responseError, responseData] = yield await_to_js_1.default(node_fetch_1.default(routingEndpoint, config));
        assert_1.ifError(responseError);
        return idin_protocol_1.verifySignature({ signedXml: yield responseData.text(), routingCert });
    });
}
exports.fetchResponse = fetchResponse;
//# sourceMappingURL=idin-request.js.map