import { TransactionParams } from './transaction-protocol';
import { StatusParameters } from './status-protocol';
import { GeneralParameters } from './idin-protocol';
export declare function getDirectoryResponse(arg1: GeneralParameters): Promise<{
    createDateTimestamp: any;
    Acquirer: {
        acquirerID: any;
    };
    Directory: {
        directoryDateTimestamp: any;
        Country: {
            countryNames: string;
            Issuer: import("./directory-protocol").Issuer[];
        }[];
    };
}>;
export declare function getStatusResponse(arg1: GeneralParameters, arg2: StatusParameters): Promise<{
    createDateTimestamp: any;
    Acquirer: {
        acquirerID: any;
    };
    Transaction: {
        transactionID: any;
        status: any;
        statusDateTimestamp: any;
        Response: {};
    };
} | {
    createDateTimestamp: any;
    Error: any;
}>;
export declare function getTransactionResponse(arg1: GeneralParameters, arg2: TransactionParams): Promise<{
    createDateTimestamp: any;
    Error: any;
    Acquirer?: undefined;
    Issuer?: undefined;
    Transaction?: undefined;
} | {
    createDateTimestamp: any;
    Acquirer: {
        acquirerID: any;
    };
    Issuer: {
        issuerAuthenticationURL: any;
    };
    Transaction: {
        transactionID: any;
        transactionCreateDateTimestamp: any;
    };
    Error?: undefined;
}>;
export { GeneralParameters, TransactionParams, StatusParameters };
