import { GeneralParameters } from './idin-protocol';
export interface TransactionParams {
    loa: string;
    merchantReturnUrl: string;
    idPrefix: string;
    requestedService: string;
    defaultLanguage: string;
    expirationPeriod: string;
    issuerId: string;
    transactionId: string;
}
export default function getTransactionResponse({ merchantId, merchantSubId, routingCert, routingEndpoint, publicKeyFingerprint, privateKey, publicKey }: GeneralParameters, otherParams: TransactionParams): Promise<{
    createDateTimestamp: any;
    Error: any;
    Acquirer?: undefined;
    Issuer?: undefined;
    Transaction?: undefined;
} | {
    createDateTimestamp: any;
    Acquirer: {
        acquirerID: any;
    };
    Issuer: {
        issuerAuthenticationURL: any;
    };
    Transaction: {
        transactionID: any;
        transactionCreateDateTimestamp: any;
    };
    Error?: undefined;
}>;
