"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Checking all params are filled
 * @param generalParameters
 */
exports.checkParams = (funcName, generalParams, specificParams) => {
    if (!generalParams) {
        throw new Error('No general object parameter found.');
    }
    if ((funcName === 'getTransaction' || funcName === 'getStatus') && !specificParams) {
        throw new Error('No specific object parameter found.');
    }
    const keysIteration = (keyArray, params) => {
        if (keyArray.some((key) => !Object.keys(params).some((innerKey) => innerKey === key))) {
            throw new Error('Parameters missing.');
        }
    };
    if (funcName === 'getTransaction') {
        const sKeys = {
            defaultLanguage: '',
            expirationPeriod: '',
            idPrefix: '',
            issuerId: '',
            loa: '',
            merchantReturnUrl: '',
            requestedService: '0',
            transactionId: '',
        };
        keysIteration(Object.keys(sKeys), specificParams);
    }
    else if (funcName === 'getStatus') {
        const sKeys = {
            transactionId: '',
        };
        keysIteration(Object.keys(sKeys), specificParams);
    }
    const gKeys = {
        merchantId: '0',
        merchantSubId: '0',
        privateKey: '',
        publicKey: '',
        publicKeyFingerprint: '',
        routingCert: '',
        routingEndpoint: '',
    };
    keysIteration(Object.keys(gKeys), generalParams);
};
//# sourceMappingURL=utils.js.map